Skip to main content
GET
/
payments
Get payments
curl --request GET \
  --url https://api.zenskar.com/payments \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "amount_refunded": "<string>",
      "currency_code": "<string>",
      "status": "in_progress",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_name": "<string>",
      "customer_email": "<string>",
      "customer_external_id": "<string>",
      "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connector_name": "<string>",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "payment_method": "card",
      "payment_method_details": {},
      "type": "payment",
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoices": [
        {
          "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amount": "<string>",
          "amount_refunded": "<string>",
          "currency_code": "<string>",
          "invoice_number": "<string>",
          "status": "draft",
          "invoice_total": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "timestamp": "2023-11-07T05:31:56Z",
      "transactions": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amount": "<string>",
          "currency_code": "<string>",
          "payment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "in_progress",
          "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "payment_method": "card",
          "payment_method_details": {},
          "reference_number": "<string>",
          "description": "<string>",
          "error_code": "<string>",
          "error_text": "<string>",
          "settled_at": "2023-11-07T05:31:56Z",
          "voided_at": "2023-11-07T05:31:56Z",
          "timestamp": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "deleted_at": "2023-11-07T05:31:56Z",
          "payment_type": "<string>"
        }
      ],
      "error_text": "<string>",
      "created_at": "<string>",
      "receipt_number": "<string>",
      "balance_transactions": {}
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

search
string | null
sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

order
string | null
default:-created_at
Example:

"order=created_at"

id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
customer_id
string<uuid> | null
customer_id__in
string | null
customer_id__isnull
boolean | null
connector_id
string<uuid> | null
connector_id__in
string | null
connector_id__isnull
boolean | null
external_id
string | null
external_id__ilike
string | null
external_id__like
string | null
external_id__in
string | null
external_id__isnull
boolean | null
payment_method
enum<string> | null
Available options:
card,
cash,
check,
charge_back,
bank_transfer,
direct_debit,
amazon_payments,
paypal_express_checkout,
upi,
netbanking_emandates,
other,
credits,
ach_credit_transfer
payment_method__in
string | null
payment_method__isnull
boolean | null
type
string | null
type__in
string | null
type__isnull
boolean | null
amount
number | null
amount__neq
number | null
amount__gt
number | null
amount__gte
number | null
amount__lt
number | null
amount__lte
number | null
amount__isnull
boolean | null
amount__in
string | null
amount_refunded
number | null
amount_refunded__neq
number | null
amount_refunded__gt
number | null
amount_refunded__gte
number | null
amount_refunded__lt
number | null
amount_refunded__lte
number | null
amount_refunded__isnull
boolean | null
amount_refunded__in
string | null
currency_code
string | null
currency_code__ilike
string | null
currency_code__like
string | null
currency_code__in
string | null
currency_code__isnull
boolean | null
receipt_number
string | null
receipt_number__ilike
string | null
receipt_number__like
string | null
receipt_number__in
string | null
receipt_number__isnull
boolean | null
status
enum<string> | null
Available options:
in_progress,
requires_action,
pending_charge,
authorized,
created,
success,
voided,
failed,
canceled,
refunded,
partially_refunded,
other
status__in
string | null
status__isnull
boolean | null
autocharge
boolean | null
autocharge__isnull
boolean | null
parent_id
string<uuid> | null
parent_id__in
string | null
parent_id__isnull
boolean | null
timestamp
number | null
timestamp__neq
number | null
timestamp__gt
number | null
timestamp__gte
number | null
timestamp__lt
number | null
timestamp__lte
number | null
timestamp__isnull
boolean | null
timestamp__in
string | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
invoice__id
string<uuid> | null
invoice__id__in
string | null
invoice__id__isnull
boolean | null
invoice__bill_for_date
string<date-time> | null
invoice__bill_for_date__neq
string<date-time> | null
invoice__bill_for_date__gt
string<date-time> | null
invoice__bill_for_date__gte
string<date-time> | null
invoice__bill_for_date__lt
string<date-time> | null
invoice__bill_for_date__lte
string<date-time> | null
invoice__bill_for_date__isnull
boolean | null
invoice__bill_for_date__in
string | null
invoice__approved_at
string<date-time> | null
invoice__approved_at__neq
string<date-time> | null
invoice__approved_at__gt
string<date-time> | null
invoice__approved_at__gte
string<date-time> | null
invoice__approved_at__lt
string<date-time> | null
invoice__approved_at__lte
string<date-time> | null
invoice__approved_at__isnull
boolean | null
invoice__approved_at__in
string | null
customer__business_entity_id
string<uuid> | null
customer__business_entity_id__in
string | null
customer__business_entity_id__isnull
boolean | null

Response

Successful Response

results
PaymentResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows